import 'package:wolf_3d_data_types/wolf_3d_data_types.dart';

abstract class EngineAudio {
  WolfensteinData? activeGame;
  void playMenuMusic();
  void playLevelMusic(WolfLevel level);
  void stopMusic();
  void playSoundEffect(int sfxId);
  Future<void> init();
  void dispose();
}
